TYPO3 Core - Bug #70116

Missing style prefix in admin_panel.css breaks website frontend styling
2015-09-25 14:53 - Christoph Dorfel

Status: Closed Start date: 2015-09-25
Priority: Must have Due date:

Assignee: % Done: 100%

Category: Frontend Estimated time: 0.00 hour

Target version:

TYPO3 Version: 7 Complexity:

PHP Version: Is Regression: No

Tags: Sprint Focus: Stabilization Sprint
Description

We just happen to include the same FontAwesome icon styles that the AdmPanel is using.
Most style definitions in the admin_panel.css are prefixed with #TSFE_ADMIN_PANEL_FORM, except for one: ".fa:before".

On a second note... maybe renaming the AdmPanel font-family from 'FontAwesome' to something like "Typo3FontAwesome' would
be useful too. What would the implications of that be?

Associated revisions

Revision 6498ace7 - 2015-09-29 06:02 - Christoph Dorfel

[BUGFIX] Fix admin_panel.css possibly overriding font family definitions

Change-Id: I[dd45bd7d38b22c1c983e5¢c2765b8c50d6dc9eaf1
Resolves: #70116

Related: #69374

Releases: master

Reviewed-on: http://review.typo3.org/43569

Reviewed-by: Daniel Goerz <ervaude@gmail.com>
Tested-by: Daniel Goerz <ervaude@gmail.com>
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>
Tested-by: Georg Ringer <georg.ringer@gmail.com>

History

#1 - 2015-09-25 15:07 - Christoph Dérfel

Ugh. Sorry... This seems to be fixed in the master branch.

Anyway: The (possible) issue with the introduction of a new font family that overrides existing definitions persists.

#2 - 2015-09-25 15:20 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43569

#3 - 2015-09-25 16:48 - Daniel Goerz

- Sprint Focus set to Stabilization Sprint

#4 - 2015-09-29 06:30 - Christoph Dérfel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 6498ace73d29cc33480df6df37ee8adff059a492.

#5 - 2018-10-02 11:28 - Benni Mack

- Status changed from Resolved to Closed
